## ETableHeaderItem

ETableHeaderItem

## Functions

void | ethi_change_sort_state ()
void | e_table_header_item_customize_view ()

## Properties

ETableHeader * | ETableHeader | Write
char * | dnd-code | Read / Write
PangoFontDescription * | font-desc | Write
ETableHeader * | full-header | Read / Write
ETableSortInfo * | sort-info | Write
ETable * | table | Write
ETree * | tree | Write

## Signals

void | button-pressed | Run Last
void | header-click-can-sort | Action

## Types and Values

enum | ETableHeaderItemSortFlag

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GnomeCanvasItem
                ╰── ETableHeaderItem

## Description

## Functions

### ethi_change_sort_state ()

    void
    ethi_change_sort_state (ETableHeaderItem *ethi,
                            ETableCol *col,
                            ETableHeaderItemSortFlag flag);

### e_table_header_item_customize_view ()

    void
    e_table_header_item_customize_view (ETableHeaderItem *ethi);

## Types and Values

### enum ETableHeaderItemSortFlag

#### Members

E_TABLE_HEADER_ITEM_SORT_FLAG_NONE |  |
E_TABLE_HEADER_ITEM_SORT_FLAG_ADD_AS_FIRST |  |
E_TABLE_HEADER_ITEM_SORT_FLAG_ADD_AS_LAST |  |

## Property Details

### The `“ETableHeader”` property

      “ETableHeader”             ETableHeader *

Owner: ETableHeaderItem

Flags: Write

### The `“dnd-code”` property

      “dnd-code”                 char *

Owner: ETableHeaderItem

Flags: Read / Write

Default value: NULL

### The `“font-desc”` property

      “font-desc”                PangoFontDescription *

Owner: ETableHeaderItem

Flags: Write

### The `“full-header”` property

      “full-header”              ETableHeader *

Owner: ETableHeaderItem

Flags: Read / Write

### The `“sort-info”` property

      “sort-info”                ETableSortInfo *

Owner: ETableHeaderItem

Flags: Write

### The `“table”` property

      “table”                    ETable *

Owner: ETableHeaderItem

Flags: Write

### The `“tree”` property

      “tree”                     ETree *

Owner: ETableHeaderItem

Flags: Write

## Signal Details

### The `“button-pressed”` signal

    void
    user_function (ETableHeaderItem *etableheaderitem,
                   GdkEvent         *arg1,
                   gpointer          user_data)

Flags: Run Last

### The `“header-click-can-sort”` signal

    void
    user_function (ETableHeaderItem *etableheaderitem,
                   gpointer          arg1,
                   gpointer          user_data)

Flags: Action